#include <9pm/windows.h>
#include <9pm/u.h>
#include <9pm/libc.h>
#include "syscall.h"

int
fwstat(int fd, uchar *buf, int nbuf)
{
	Syscallmem *c;

	c = _getsyscallmem();
	memmove(&c[1], buf, nbuf);
	c->arg[0] = fd;
	c->arg[1] = 0;
	c->arg[2] = nbuf;
	c->nr = Sfwstat;
	return _dosyscall(c);
}
